Package com.sap.ai.sdk.orchestration.model

# Class GroundingFilterSearchConfiguration

java.lang.Object
com.sap.ai.sdk.orchestration.model.GroundingFilterSearchConfiguration

public class GroundingFilterSearchConfiguration extends Object
GroundingFilterSearchConfiguration

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GroundingFilterSearchConfiguration()`
  Default constructor for GroundingFilterSearchConfiguration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GroundingFilterSearchConfiguration`
  `create()`
  Create a new `GroundingFilterSearchConfiguration` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `GroundingFilterSearchConfiguration`.
  `Integer`
  `getMaxChunkCount()`
  Maximum number of chunks to be returned.
  `Integer`
  `getMaxDocumentCount()`
  [Only supports 'vector' dataRepositoryType] - Maximum number of documents to be returned.
  `int`
  `hashCode()`
  `GroundingFilterSearchConfiguration`
  `maxChunkCount(Integer maxChunkCount)`
  Set the maxChunkCount of this `GroundingFilterSearchConfiguration` instance and return the same instance.
  `GroundingFilterSearchConfiguration`
  `maxDocumentCount(Integer maxDocumentCount)`
  Set the maxDocumentCount of this `GroundingFilterSearchConfiguration` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `GroundingFilterSearchConfiguration` instance.
  `void`
  `setMaxChunkCount(Integer maxChunkCount)`
  Set the maxChunkCount of this `GroundingFilterSearchConfiguration` instance.
  `void`
  `setMaxDocumentCount(Integer maxDocumentCount)`
  Set the maxDocumentCount of this `GroundingFilterSearchConfiguration` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `GroundingFilterSearchConfiguration` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroundingFilterSearchConfiguration

    protected GroundingFilterSearchConfiguration()
    Default constructor for GroundingFilterSearchConfiguration.

- ## Method Details

  - ### maxChunkCount

    @Nonnull public GroundingFilterSearchConfiguration maxChunkCount(@Nullable Integer maxChunkCount)
    Set the maxChunkCount of this `GroundingFilterSearchConfiguration` instance and return the same instance.
    Parameters:
      `maxChunkCount` - Maximum number of chunks to be returned. Cannot be used with 'maxDocumentCount'. Minimum: 0
    Returns:
      The same instance of this `GroundingFilterSearchConfiguration` class

  - ### getMaxChunkCount

    @Nonnull public Integer getMaxChunkCount()
    Maximum number of chunks to be returned. Cannot be used with 'maxDocumentCount'. minimum: 0
    Returns:
      maxChunkCount The maxChunkCount of this `GroundingFilterSearchConfiguration` instance.

  - ### setMaxChunkCount

    public void setMaxChunkCount(@Nullable Integer maxChunkCount)
    Set the maxChunkCount of this `GroundingFilterSearchConfiguration` instance.
    Parameters:
      `maxChunkCount` - Maximum number of chunks to be returned. Cannot be used with 'maxDocumentCount'. Minimum: 0

  - ### maxDocumentCount

    @Nonnull public GroundingFilterSearchConfiguration maxDocumentCount(@Nullable Integer maxDocumentCount)
    Set the maxDocumentCount of this `GroundingFilterSearchConfiguration` instance and return the same instance.
    Parameters:
      `maxDocumentCount` - [Only supports 'vector' dataRepositoryType] - Maximum number of documents to be returned. Cannot be used with 'maxChunkCount'. If maxDocumentCount is given, then only one chunk per document is returned. Minimum: 0
    Returns:
      The same instance of this `GroundingFilterSearchConfiguration` class

  - ### getMaxDocumentCount

    @Nonnull public Integer getMaxDocumentCount()
    [Only supports 'vector' dataRepositoryType] - Maximum number of documents to be returned. Cannot be used with 'maxChunkCount'. If maxDocumentCount is given, then only one chunk per document is returned. minimum: 0
    Returns:
      maxDocumentCount The maxDocumentCount of this `GroundingFilterSearchConfiguration` instance.

  - ### setMaxDocumentCount

    public void setMaxDocumentCount(@Nullable Integer maxDocumentCount)
    Set the maxDocumentCount of this `GroundingFilterSearchConfiguration` instance.
    Parameters:
      `maxDocumentCount` - [Only supports 'vector' dataRepositoryType] - Maximum number of documents to be returned. Cannot be used with 'maxChunkCount'. If maxDocumentCount is given, then only one chunk per document is returned. Minimum: 0

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `GroundingFilterSearchConfiguration`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `GroundingFilterSearchConfiguration` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `GroundingFilterSearchConfiguration` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `GroundingFilterSearchConfiguration` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static GroundingFilterSearchConfiguration create()
    Create a new `GroundingFilterSearchConfiguration` instance. No arguments are required.